Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.skype.ipc
Class AbstractDecoder

    java.lang.Object
      com.skype.ipc.AbstractDecoder

Direct Known Subclasses:
  AbstractTaggedInputMessage, GetPropertyResponse, PropertyChange, ResponseListElement

    public abstract class AbstractDecoder

extends java.lang.Object

Field Summary
`protected Transport` | `ioTransport`
`static int` | `NULL_VALUE`

Method Summary
`protected byte[]` | `decodeBinary()`
`protected boolean` | `decodeBoolean()`
`protected ResponseListElement` | `decodeList()`
`protected int` | `decodeObjectid()`
`protected java.lang.Object` | `decodeOneOfKind(int kind)`
`protected static int` | `decodeOneVaruint(Transport i)`
`protected java.lang.String` | `decodeString()`
`protected int` | `decodeVarint()`
`protected int` | `decodeVaruint()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_VALUE

    public static final int NULL_VALUE

See Also:
  Constant Field Values

### ioTransport

    protected Transport ioTransport

Method Detail

### decodeOneOfKind

    protected java.lang.Object decodeOneOfKind(int kind)
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeString

    protected java.lang.String decodeString()
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeBinary

    protected byte[] decodeBinary()
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeVarint

    protected int decodeVarint()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeVaruint

    protected int decodeVaruint()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeOneVaruint

    protected static int decodeOneVaruint(Transport i)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeObjectid

    protected int decodeObjectid()
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeBoolean

    protected boolean decodeBoolean()
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### decodeList

    protected ResponseListElement decodeList()
                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.